Only in trunk: javax
Only in trunk/org/jboss: jmx
diff -EbwBru 6.0.0.M1/org/jboss/mx/capability/DispatchClassLoader.java trunk/org/jboss/mx/capability/DispatchClassLoader.java
--- 6.0.0.M1/org/jboss/mx/capability/DispatchClassLoader.java	2009-11-30 14:39:18.000000000 -0600
+++ trunk/org/jboss/mx/capability/DispatchClassLoader.java	2009-12-10 12:42:24.000000000 -0600
@@ -24,10 +24,8 @@
 /**
  * <description> 
  *
- * @see <related>
- *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  *   
  */
 public class DispatchClassLoader extends ClassLoader
@@ -55,7 +53,7 @@
    }
    
    // Protected -----------------------------------------------------
-   protected Class findClass(String name) throws ClassNotFoundException
+   protected Class<?> findClass(String name) throws ClassNotFoundException
    {
       if (!name.equals(this.name))
          throw new ClassNotFoundException("Class not found: " + name + "(I'm a dispatch loader, I only know " + this.name + ")");
diff -EbwBru 6.0.0.M1/org/jboss/mx/capability/DispatcherFactory.java trunk/org/jboss/mx/capability/DispatcherFactory.java
--- 6.0.0.M1/org/jboss/mx/capability/DispatcherFactory.java	2009-11-30 14:39:18.000000000 -0600
+++ trunk/org/jboss/mx/capability/DispatcherFactory.java	2009-12-10 12:42:24.000000000 -0600
@@ -25,7 +25,6 @@
 import org.jboss.mx.metadata.MethodMapper;
 
 import org.jboss.mx.server.ServerConstants;
-import org.jboss.mx.util.PropertyAccess;
 
 import javax.management.DynamicMBean;
 import javax.management.IntrospectionException;
@@ -49,6 +48,11 @@
    /**
     * Creates a Dispatcher for an arbitrary resource.  Useful for when you don't care
     * about the AttributeOperationResolver.
+    * 
+    * @param info the mbean info
+    * @param resource the resource
+    * @return the dispatcher
+    * @throws IntrospectionException for any error
     */
    public static DynamicMBean create(MBeanInfo info, Object resource) throws IntrospectionException
    {
@@ -57,6 +61,12 @@
 
    /**
     * Creates a dispatcher for an arbitrary resource using the named AttributeOperationResolver.
+    * 
+    * @param info the mbean info
+    * @param resource the resource
+    * @param resolver the resolver
+    * @return the dispatcher
+    * @throws IntrospectionException for any error
     */
    public static DynamicMBean create(MBeanInfo info, Object resource, AttributeOperationResolver resolver) throws IntrospectionException
    {
diff -EbwBru 6.0.0.M1/org/jboss/mx/capability/OptimizedMBeanDispatcher.java trunk/org/jboss/mx/capability/OptimizedMBeanDispatcher.java
--- 6.0.0.M1/org/jboss/mx/capability/OptimizedMBeanDispatcher.java	2009-11-30 14:39:18.000000000 -0600
+++ trunk/org/jboss/mx/capability/OptimizedMBeanDispatcher.java	2009-12-10 12:42:24.000000000 -0600
@@ -53,13 +53,13 @@
  * @see org.jboss.mx.capability.DispatchClassLoader
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  *
  */
 public class OptimizedMBeanDispatcher implements ServerConstants
 {
    // Constants -----------------------------------------------------
-   final static Class SUPER_CLASS = ReflectedMBeanDispatcher.class;
+   final static Class<?> SUPER_CLASS = ReflectedMBeanDispatcher.class;
 
 
    // Static --------------------------------------------------------
@@ -91,8 +91,8 @@
          // FIXME: also I dont know if the parent is right here, have to check later
          ClassLoader ocl = new DispatchClassLoader(resource.getClass().getClassLoader(), className, baos.toByteArray());
 
-         Class dispatcherClass = ocl.loadClass(className);
-         Constructor constr = dispatcherClass.getConstructor(
+         Class<?> dispatcherClass = ocl.loadClass(className);
+         Constructor<?> constr = dispatcherClass.getConstructor(
                new Class[] { MBeanInfo.class, AttributeOperationResolver.class, Object.class }
          );
 
@@ -143,6 +143,10 @@
     * <b><pre>  (IDLjava/lang/Thread;)Ljava/lang/Object;  </pre></b>
     *
     * Note that internal forms of the fully qualified names of Thread and Object are used in the method descriptor.
+    * 
+    * @param signature the signature
+    * @param returnType the return type
+    * @return the descriptor
     */
    public static String getMethodDescriptor(MBeanParameterInfo[] signature, String returnType)
    {
@@ -220,6 +224,7 @@
     *
     * @param   cp          constant pool
     * @param   className   name of the class being generated
+    * @return the method gen
     */
    protected static MethodGen createConstructor(ConstantPoolGen cp, String className)
    {
@@ -292,6 +297,7 @@
     * @param   info                 metadata of the MBean
     * @param   className            name of the class being generated
     * @param   resourceClassName    name of the resource class being invoked
+    * @return the method gen
     */
    protected static MethodGen createInvoke(ConstantPoolGen cp, MBeanInfo info, String className, String resourceClassName)
    {
@@ -729,7 +735,11 @@
     * performance if implemented directly with byte code. Overloaded operations with
     * equal arg list length may not show much difference compared to ternary search tree
     * based resolver.
+    * 
+    * @param info the mbean info
+    * @return the entries
     */
+   @SuppressWarnings("unchecked")
    protected static MethodEntry[] getOperations(MBeanInfo info)
    {
       HashMap operationMap            = new HashMap();
Only in trunk/org/jboss/mx/capability: PropertyAccess.java
diff -EbwBru 6.0.0.M1/org/jboss/mx/capability/ReflectedMBeanDispatcher.java trunk/org/jboss/mx/capability/ReflectedMBeanDispatcher.java
--- 6.0.0.M1/org/jboss/mx/capability/ReflectedMBeanDispatcher.java	2009-11-30 14:39:18.000000000 -0600
+++ trunk/org/jboss/mx/capability/ReflectedMBeanDispatcher.java	2009-12-10 12:42:24.000000000 -0600
@@ -262,6 +262,7 @@
       return list;
    }
 
+   @SuppressWarnings("unchecked")
    public AttributeList setAttributes(AttributeList attributes)
    {
       if (null == attributes)
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/AbstractInterceptor.java trunk/org/jboss/mx/interceptor/AbstractInterceptor.java
--- 6.0.0.M1/org/jboss/mx/interceptor/AbstractInterceptor.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/AbstractInterceptor.java	2009-12-10 12:42:27.000000000 -0600
@@ -35,7 +35,7 @@
  * @see org.jboss.mx.server.MBeanInvoker
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $   
+ * @version $Revision: 85671 $   
  */
 public abstract class AbstractInterceptor 
    implements Interceptor
@@ -122,7 +122,7 @@
     *
     * @return  return value from the target resource
     *
-    * @throws InvocationException This exception wraps any exceptions thrown
+    * @throws Throwable This exception wraps any exceptions thrown
     *         by either the target method of the resource object, or invocation
     *         interceptors in this interceptor chain. The target exception is
     *         unwrapped at the {@link org.jboss.mx.server.MBeanInvoker} instance.
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/AbstractSharedInterceptor.java trunk/org/jboss/mx/interceptor/AbstractSharedInterceptor.java
--- 6.0.0.M1/org/jboss/mx/interceptor/AbstractSharedInterceptor.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/AbstractSharedInterceptor.java	2009-12-10 12:42:27.000000000 -0600
@@ -40,7 +40,7 @@
 import org.jboss.mx.modelmbean.RequiredModelMBeanInstantiator;
 import org.jboss.mx.server.Invocation;
 import org.jboss.mx.service.ServiceConstants;
-import org.jboss.mx.util.AgentID;
+import org.jboss.mx.util.MBeanServerLocator;
 
 
 /**
@@ -51,7 +51,7 @@
  * @see org.jboss.mx.server.MBeanInvoker
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $   
+ * @version $Revision: 86129 $   
  */
 public abstract class AbstractSharedInterceptor 
    extends AbstractInterceptor
@@ -123,18 +123,9 @@
     *
     * </pre>
     *
-    * If the log reference has not been set for this interceptor when it is
-    * registered, this implementation will register a log MBean via the system
-    * log manager under {@link org.jboss.mx.service.ServiceConstants#JBOSSMX_DOMAIN JBOSSMX}
-    * domain (see {@link org.jboss.mx.logging.SystemLogManager SystemLogManager}
-    * for details). The log instance's name will match the pattern:   <br><pre>
-    *
-    *    "JBossMX.Interceptor.&lt;interceptor name&gt;"
-    *
-    * </pre>
-    *
     * @param   server   MBean server where this shared interceptor is registered
     */
+   @SuppressWarnings("unchecked")
    public synchronized ObjectName register(MBeanServer server) 
          throws InterceptorNameConflictException
    {
@@ -158,7 +149,7 @@
          if (names.size() > 0)
             throw new InterceptorNameConflictException(
                   "A shared interceptor named '" + name + "' already registered " +
-                  "to this MBean server (" + AgentID.get(server) + ")"
+                  "to this MBean server (" + MBeanServerLocator.getId(server) + ")"
             );
             
          // register the interceptor to server
@@ -178,7 +169,7 @@
          // actually had a chance to register
          throw new InterceptorNameConflictException(
                "A shared interceptor named '" + name + "' already registered " +
-               "to this MBean server (" + AgentID.get(server) + ")"
+               "to this MBean server (" + MBeanServerLocator.getId(server) + ")"
          );
       }
       
@@ -332,10 +323,11 @@
     * @throws MalformedObjectNameException if the object name could not be
     *         created
     */
+   @SuppressWarnings("unchecked")
    protected ObjectName createObjectName() throws MalformedObjectNameException
    {
       // create the object name for this shared interceptor
-      Hashtable props = new Hashtable(2);
+      Hashtable props = new Hashtable(3);
       props.put("type", "Interceptor");
       props.put("name", name);
       props.put("ID", "0");
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/AttributeDispatcher.java trunk/org/jboss/mx/interceptor/AttributeDispatcher.java
--- 6.0.0.M1/org/jboss/mx/interceptor/AttributeDispatcher.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/AttributeDispatcher.java	2009-12-10 12:42:27.000000000 -0600
@@ -37,7 +37,7 @@
  * getter and setter dispatch.
  * 
  * @author Scott.Stark@jboss.org
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public class AttributeDispatcher
    extends ReflectedDispatcher
@@ -57,7 +57,7 @@
     * with a null args value.
     * 
     * @return the result of the attribute accessor invocation
-    * @throws InvocationException
+    * @throws Throwable for any error
     */ 
    public Object invoke(Invocation invocation) throws Throwable
    {
@@ -144,7 +144,7 @@
       return value;
    }
    
-   protected void checkAssignable(String context, Class clazz, Object value) throws InvalidAttributeValueException, ClassNotFoundException
+   protected void checkAssignable(String context, Class<?> clazz, Object value) throws InvalidAttributeValueException, ClassNotFoundException
    {
       if (value != null && clazz.isAssignableFrom(value.getClass()) == false)
          throw new InvalidAttributeValueException(context + " has class " + value.getClass() + " loaded from " + value.getClass().getClassLoader() +
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/DynamicInterceptor.java trunk/org/jboss/mx/interceptor/DynamicInterceptor.java
--- 6.0.0.M1/org/jboss/mx/interceptor/DynamicInterceptor.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/DynamicInterceptor.java	2009-12-10 12:42:27.000000000 -0600
@@ -29,7 +29,7 @@
  * for dynamically adding and removing interceptors to an MBean.
  *
  * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public class DynamicInterceptor extends AbstractInterceptor
 {
@@ -42,6 +42,8 @@
    
    /**
     * CTOR
+    * 
+    * @param invoker the invoker
     */
    public DynamicInterceptor(MBeanInvoker invoker)
    {
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/Interceptor.java trunk/org/jboss/mx/interceptor/Interceptor.java
--- 6.0.0.M1/org/jboss/mx/interceptor/Interceptor.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/Interceptor.java	2009-12-10 12:42:27.000000000 -0600
@@ -31,7 +31,7 @@
  * @see org.jboss.mx.interceptor.AbstractInterceptor
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $   
+ * @version $Revision: 85671 $   
  */
 public interface Interceptor
 {
@@ -40,6 +40,8 @@
     * Returns the name of this interceptor. Notice that for shared interceptors
     * this name must be unique among the shared interceptors in the MBean
     * server.
+    * 
+    * @return the name
     */
    String getName();
    
@@ -57,6 +59,10 @@
    /**
     * The <tt>invoke</tt> method is called when the invocation object passes
     * this interceptor.
+    * 
+    * @param invocation the invocation
+    * @return the object
+    * @throws Throwable for any error 
     */
    Object invoke(Invocation invocation) throws Throwable;
 
@@ -70,6 +76,8 @@
     * as they are invoked by several different MBean invokers. To access the
     * log implementation of the originating invoker for a particular invocation,
     * an interceptor may query they invocation context for invoker reference.
+    *
+    * @param log the log to set
     */
    void setLogger(Logger log);
 
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/InterceptorNameConflictException.java trunk/org/jboss/mx/interceptor/InterceptorNameConflictException.java
--- 6.0.0.M1/org/jboss/mx/interceptor/InterceptorNameConflictException.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/InterceptorNameConflictException.java	2009-12-10 12:42:27.000000000 -0600
@@ -28,13 +28,13 @@
  * @see org.jboss.mx.interceptor.AbstractInterceptor
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public class InterceptorNameConflictException
    extends Exception
 {
-
-   // Constructors --------------------------------------------------
+   /** The serialVersionUID */
+   private static final long serialVersionUID = -696843094576327612L;
    
    public InterceptorNameConflictException()
    {
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/ModelMBeanAttributeInterceptor.java trunk/org/jboss/mx/interceptor/ModelMBeanAttributeInterceptor.java
--- 6.0.0.M1/org/jboss/mx/interceptor/ModelMBeanAttributeInterceptor.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/ModelMBeanAttributeInterceptor.java	2009-12-10 12:42:27.000000000 -0600
@@ -26,7 +26,6 @@
 import javax.management.InvalidAttributeValueException;
 import javax.management.ObjectName;
 
-import org.jboss.logging.Logger;
 import org.jboss.mx.modelmbean.ModelMBeanConstants;
 import org.jboss.mx.modelmbean.ModelMBeanInvoker;
 import org.jboss.mx.server.Invocation;
@@ -39,16 +38,12 @@
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author Scott.Stark@jboss.org
  * @author  <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public class ModelMBeanAttributeInterceptor
       extends AbstractInterceptor
       implements ModelMBeanConstants
 {
-   // Constants -----------------------------------------------------
-
-   private static final Logger log = Logger.getLogger(ModelMBeanAttributeInterceptor.class);
-   
    // Attributes ----------------------------------------------------
    
    private boolean trace = log.isTraceEnabled();
@@ -67,7 +62,7 @@
    {
       // get the attribute's descriptor
       Descriptor d = invocation.getDescriptor();
-      Class clazz = invocation.getAttributeTypeClass();
+      Class<?> clazz = invocation.getAttributeTypeClass();
       
       String name = null;
       ObjectName objectName = null;
@@ -223,7 +218,7 @@
          throw new UnreachableStatementException(invocation.getType());
    }
    
-   protected void checkAssignable(String context, Class clazz, Object value) throws InvalidAttributeValueException, ClassNotFoundException
+   protected void checkAssignable(String context, Class<?> clazz, Object value) throws InvalidAttributeValueException, ClassNotFoundException
    {
       if (value != null && clazz.isAssignableFrom(value.getClass()) == false)
          throw new InvalidAttributeValueException(context + " has class " + value.getClass() + " loaded from " + value.getClass().getClassLoader() +
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/ModelMBeanInfoInterceptor.java trunk/org/jboss/mx/interceptor/ModelMBeanInfoInterceptor.java
--- 6.0.0.M1/org/jboss/mx/interceptor/ModelMBeanInfoInterceptor.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/ModelMBeanInfoInterceptor.java	2009-12-10 12:42:27.000000000 -0600
@@ -30,7 +30,7 @@
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author Scott.Stark@jboss.org
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public class ModelMBeanInfoInterceptor extends AbstractInterceptor
 {
@@ -47,8 +47,8 @@
    /** Return the MBeanInfo from the invocation MBeanInvoker
     * 
     * @param invocation
-    * @return
-    * @throws InvocationException
+    * @return the value
+    * @throws Throwable for any error
     */ 
    public Object invoke(Invocation invocation) throws Throwable
    {
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/ModelMBeanOperationInterceptor.java trunk/org/jboss/mx/interceptor/ModelMBeanOperationInterceptor.java
--- 6.0.0.M1/org/jboss/mx/interceptor/ModelMBeanOperationInterceptor.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/ModelMBeanOperationInterceptor.java	2009-12-10 12:42:27.000000000 -0600
@@ -35,7 +35,7 @@
  *
  * @author  <a href="mailto:adrian@jboss.org">Adrian Brock</a>.
  * @author Scott.Stark@jboss.org
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public class ModelMBeanOperationInterceptor
       extends AbstractInterceptor
@@ -62,7 +62,7 @@
    {
       // get the operation's descriptor
       Descriptor d = invocation.getDescriptor();
-      Class clazz = invocation.getReturnTypeClass();
+      Class<?> clazz = invocation.getReturnTypeClass();
       
       String name = null;
       ObjectName objectName = null;
@@ -153,7 +153,7 @@
       return value;
    }
    
-   protected void checkAssignable(String context, Class clazz, Object value) throws InvalidAttributeValueException, ClassNotFoundException
+   protected void checkAssignable(String context, Class<?> clazz, Object value) throws InvalidAttributeValueException, ClassNotFoundException
    {
       if (value != null && clazz.isAssignableFrom(value.getClass()) == false)
          throw new InvalidAttributeValueException(context + " has class " + value.getClass() + " loaded from " + value.getClass().getClassLoader() +
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/PersistenceInterceptor.java trunk/org/jboss/mx/interceptor/PersistenceInterceptor.java
--- 6.0.0.M1/org/jboss/mx/interceptor/PersistenceInterceptor.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/PersistenceInterceptor.java	2009-12-10 12:42:27.000000000 -0600
@@ -45,16 +45,16 @@
  * @author  Scott.Stark@jboss.org
  * @author  <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
  * 
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public class PersistenceInterceptor
    extends AbstractInterceptor
    implements ModelMBeanConstants, ServiceConstants
 {
    /** The HashMap<name, policy> of attribute level policies */
-   private HashMap attrPersistencePolicies = new HashMap();
+   private HashMap<String, String> attrPersistencePolicies = new HashMap<String, String>();
    /** The HashMap<name, PersistenceTimerTask> of scheduled peristence */
-   private HashMap timerTaskMap = new HashMap();
+   private HashMap<String, PersistenceTimerTask> timerTaskMap = new HashMap<String, PersistenceTimerTask>();
    /** The bean level peristence policy */
    private String mbeanPersistencePolicy;
    /** The PersistentMBean load/store callback interface */
@@ -79,7 +79,7 @@
          return returnValue;
 
       String attrName = invocation.getName();
-      String policy = (String)attrPersistencePolicies.get(attrName);
+      String policy = attrPersistencePolicies.get(attrName);
       if (policy == null)
          policy = mbeanPersistencePolicy;
 
@@ -92,7 +92,7 @@
       }
       else if(policy.equalsIgnoreCase(PP_NO_MORE_OFTEN_THAN) == true)
       {
-         PersistenceTimerTask task = (PersistenceTimerTask) timerTaskMap.get(attrName);
+         PersistenceTimerTask task = timerTaskMap.get(attrName);
          if( task != null )
             task.setHasUpdated(true);
       }
@@ -162,10 +162,10 @@
    {
       boolean noMoreOftenThan;
       boolean hasUpdated;
-      String name;
+      String taskName;
       PersistenceTimerTask(String name, boolean noMoreOftenThan)
       {
-         this.name = name;
+         this.taskName = name;
          this.noMoreOftenThan = noMoreOftenThan;
       }
       synchronized void setHasUpdated(boolean flag)
diff -EbwBru 6.0.0.M1/org/jboss/mx/interceptor/ReflectedDispatcher.java trunk/org/jboss/mx/interceptor/ReflectedDispatcher.java
--- 6.0.0.M1/org/jboss/mx/interceptor/ReflectedDispatcher.java	2009-11-30 14:39:21.000000000 -0600
+++ trunk/org/jboss/mx/interceptor/ReflectedDispatcher.java	2009-12-10 12:42:27.000000000 -0600
@@ -39,7 +39,7 @@
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author Scott.Stark@jboss.org
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  *   
  */
 public class ReflectedDispatcher extends AbstractInterceptor
@@ -104,7 +104,7 @@
                target = descriptorTarget;
 
                // Determine the method
-               Class clazz = null;
+               Class<?> clazz = null;
                String className = (String) descriptor.getFieldValue(ModelMBeanConstants.CLASS);
                if (className == null)
                   className = opClass;
@@ -122,7 +122,7 @@
                      throw new ReflectionException(e, "Error loading class for operation " + opName);
                   }
                }
-               Class[] sig;
+               Class<?>[] sig;
                try
                {
                   sig = invocation.getSignatureClasses();
diff -EbwBru 6.0.0.M1/org/jboss/mx/loading/BasicLoaderRepository.java trunk/org/jboss/mx/loading/BasicLoaderRepository.java
--- 6.0.0.M1/org/jboss/mx/loading/BasicLoaderRepository.java	2009-11-30 14:38:49.000000000 -0600
+++ trunk/org/jboss/mx/loading/BasicLoaderRepository.java	2009-12-10 12:42:46.000000000 -0600
@@ -38,7 +38,7 @@
  * @see org.jboss.mx.loading.LoaderRepository
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81022 $
+ * @version $Revision: 85671 $
  */   
 public class BasicLoaderRepository 
    extends LoaderRepository
@@ -54,7 +54,7 @@
     * @return the found class
     * @exception ClassNotFoundException when there is no such class
     */
-   public Class loadClass(String className) throws ClassNotFoundException
+   public Class<?> loadClass(String className) throws ClassNotFoundException
    {
       return loadClassWithout(null, className);
    }
@@ -68,7 +68,7 @@
     * @return the found class
     * @exception ClassNotFoundException when there is no such class
     */
-   public Class loadClassWithout(ClassLoader skipLoader, String className) throws ClassNotFoundException
+   public Class<?> loadClassWithout(ClassLoader skipLoader, String className) throws ClassNotFoundException
    {
       // try ctx cl first
       ClassLoader ctxLoader = Thread.currentThread().getContextClassLoader();
@@ -84,10 +84,10 @@
          }
       }
 
-      Iterator it = loaders.iterator();
+      Iterator<ClassLoader> it = loaders.iterator();
       while (it.hasNext())
       {
-         ClassLoader cl = (ClassLoader) it.next();
+         ClassLoader cl = it.next();
          if (cl != skipLoader)
          {
             try
@@ -102,7 +102,7 @@
       }
 
       // at last try a native
-      Class clazz = getNativeClassForName(className);
+      Class<?> clazz = getNativeClassForName(className);
       if (clazz != null) return clazz;
 
       throw new ClassNotFoundException(className);
@@ -121,12 +121,12 @@
     * @throws ClassNotFoundException if none of the consulted classloaders were
     *         able to load the requested class
     */
-   public Class loadClassBefore(ClassLoader stop, String className) throws ClassNotFoundException
+   public Class<?> loadClassBefore(ClassLoader stop, String className) throws ClassNotFoundException
    {
-      Iterator it = loaders.iterator();
+      Iterator<ClassLoader> it = loaders.iterator();
       while (it.hasNext())
       {
-         ClassLoader cl = (ClassLoader) it.next();
+         ClassLoader cl = it.next();
          if (cl == stop)
             break;
 
@@ -141,7 +141,7 @@
       }
 
       // at last try a native
-      Class clazz = getNativeClassForName(className);
+      Class<?> clazz = getNativeClassForName(className);
       if (clazz != null) return clazz;
 
       throw new ClassNotFoundException(className);
@@ -179,7 +179,7 @@
          this.addClassLoader(ucl);
       return ucl;
    }
-   public Class loadClass(String name, boolean resolve, ClassLoader cl)
+   public Class<?> loadClass(String name, boolean resolve, ClassLoader cl)
       throws ClassNotFoundException
    {
       throw new ClassNotFoundException("loadClass(String,boolean,ClassLoader) not supported");
@@ -198,9 +198,9 @@
       }
       return res;
    }
-   public void getResources(String name, ClassLoader cl, List urls)
+   public void getResources(String name, ClassLoader cl, List<URL> urls)
    {
-      Enumeration resURLs = null;
+      Enumeration<URL> resURLs = null;
       try
       {
          if( cl instanceof unifiedClassLoader )
diff -EbwBru 6.0.0.M1/org/jboss/mx/loading/ClassLoaderUtils.java trunk/org/jboss/mx/loading/ClassLoaderUtils.java
--- 6.0.0.M1/org/jboss/mx/loading/ClassLoaderUtils.java	2009-11-30 14:38:49.000000000 -0600
+++ trunk/org/jboss/mx/loading/ClassLoaderUtils.java	2009-12-10 12:42:46.000000000 -0600
@@ -50,8 +50,9 @@
 /** Utility methods for class loader to package names, etc.
  *
  * @author Scott.Stark@jboss.org
- * @version $Revision: 81022 $
+ * @version $Revision: 85671 $
  */
+@SuppressWarnings("unchecked")
 public class ClassLoaderUtils
 {
    private static Logger log = Logger.getLogger(ClassLoaderUtils.class);
@@ -109,6 +110,9 @@
    /** Use reflection to access a URL[] getURLs or URL[] getClasspath method so
     that non-URLClassLoader class loaders, or class loaders that override
     getURLs to return null or empty, can provide the true classpath info.
+    
+    @param cl the classloader
+    @return the urls
     */
    public static URL[] getClassLoaderURLs(ClassLoader cl)
    {
@@ -177,6 +181,9 @@
 
    /** Parse a class name into its package prefix. This has to handle
       array classes whose name is prefixed with [L.
+      
+      @param className the class name
+      @return the package name
     */
    public static String getPackageName(String className)
    {
@@ -197,6 +204,9 @@
 
    /** Parse a class name into its resource form. This has to handle
       array classes whose name is prefixed with [L.
+      
+      @param className the class name
+      @return the resource name
     */
    public static String getResourceName(String className)
    {
@@ -220,9 +230,9 @@
     * 
     * @return the new package set
     */
-   public static Set newPackageSet()
+   public static Set<ClassLoader> newPackageSet()
    {
-      return new TreeSet(repositoryClassLoaderComparator);
+      return new TreeSet<ClassLoader>(repositoryClassLoaderComparator);
    }
 
    /**
@@ -238,11 +248,8 @@
    }
       
    /** Augment the package name associated with a UCL.
-    * @param cl the UCL that loads from url
-    * @param packagesMap the Map<cl, String[]> to update
     * @param url the URL to parse for package names
-    * @param prevPkgNames the set of pckage names already associated with cl
-    * @return the updated unique set of package names
+    * @param listener the listener
     * @throws Exception
     */
    public static void updatePackageMap(URL url, PkgNameListener listener)
diff -EbwBru 6.0.0.M1/org/jboss/mx/loading/ClassLoadingTask.java trunk/org/jboss/mx/loading/ClassLoadingTask.java
--- 6.0.0.M1/org/jboss/mx/loading/ClassLoadingTask.java	2009-11-30 14:38:49.000000000 -0600
+++ trunk/org/jboss/mx/loading/ClassLoadingTask.java	2009-12-10 12:42:46.000000000 -0600
@@ -30,12 +30,12 @@
 
 /** An encapsulation of a UCL3.loadClass task.
  * @author Scott.Stark@jboss.org
- * @version $Revision: 63210 $
+ * @version $Revision: 85671 $
 */
 public class ClassLoadingTask
 {
    protected static Logger log = Logger.getLogger(ClassLoadingTask.class);
-   protected static Comparator taskComparator = new ThreadTaskComparator();
+   protected static Comparator<ThreadTask> taskComparator = new ThreadTaskComparator();
 
    public static final int FOUND_CLASS_LOADER = 1;
    public static final int NEXT_EVENT = 2;
@@ -45,7 +45,7 @@
    protected String classname;
    protected Thread requestingThread;
    protected RepositoryClassLoader requestingClassLoader;
-   protected Class loadedClass;
+   protected Class<?> loadedClass;
    protected int loadOrder = Integer.MAX_VALUE;
    protected int stopOrder = Integer.MAX_VALUE;
    protected Throwable loadException;
@@ -61,12 +61,10 @@
    /** Compare ThreadTask first based on their order ivar, and then the
     * relative ordering with which their UCLs were added to the ULR.
     */
-   static class ThreadTaskComparator implements Comparator
+   static class ThreadTaskComparator implements Comparator<ThreadTask>
    {
-      public int compare(Object o1, Object o2)
+      public int compare(ThreadTask t1, ThreadTask t2)
       {
-         ThreadTask t1 = (ThreadTask) o1;
-         ThreadTask t2 = (ThreadTask) o2;
          int compare = t1.order - t2.order;
          if( compare == 0 )
          {
@@ -112,7 +110,7 @@
       {
          return classname;
       }
-      Class getLoadedClass()
+      Class<?> getLoadedClass()
       {
          return loadedClass;
       }
@@ -123,7 +121,7 @@
 
       void run() throws ClassNotFoundException
       {
-         Class theClass = null;
+         Class<?> theClass = null;
          try
          {
             if( loadedClass == null )
@@ -213,7 +211,7 @@
     * of the load attempt. This must decrement the threadTaskCount or
     * the ClassLoadingTask will never complete.
     */
-   private synchronized void setLoadedClass(Class theClass, int order)
+   private synchronized void setLoadedClass(Class<?> theClass, int order)
    {
       this.threadTaskCount --;
       if( trace )
